package _VisualDVM.GlobalData.SapforProfile.UI;
import Common.Visual.Windows.Dialog.DBObjectDialog;
import _VisualDVM.GlobalData.SapforProfile.SapforProfile;
public class SapforProfileDialog extends DBObjectDialog<SapforProfile, SapforProfileFields> {
    public SapforProfileDialog() {
        super(SapforProfileFields.class);
    }
    @Override
    public int getDefaultHeight() {
        return 250;
    }
    @Override
    public void fillFields() {
        fields.tfDescription.setText(edit ? Result.description : "По умолчанию");
    }
    @Override
    public void ProcessResult() {
        Result.description = fields.tfDescription.getText();
    }
}
